body {
    margin: 0;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    background-color: #111;
    color: #fff;
    overflow-x: hidden;
}
header {
    background-color: rgba(0, 0, 0, 0.9);
    padding: 20px;
    text-align: center;
    color: #fff;
    box-shadow: 0 2px 4px rgba(0,0,0,0.1);
}
nav {
    background-color: rgba(0, 0, 0, 0.9);
    overflow: hidden;
    position: sticky;
    top: 0;
    z-index: 1000;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 2px 4px rgba(0,0,0,0.1);
}
nav a {
    color: #fff;
    padding: 14px 20px;
    text-decoration: none;
    font-size: 18px;
    transition: color 0.3s;
}
nav a:hover {
    color: #0FE4F1;
}
.welcome-text {
    text-align: center;
    font-size: 24px;
    margin: 40px 0;
    color: #fff;
}
.gallery-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 20px;
}
.gallery-item {
    width: 300px;
    margin: 10px;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
    transition: transform 0.3s ease;
}
.gallery-item img {
    width: 100%;
    height: 200px;
    object-fit: cover;
    border-radius: 10px;
    transition: transform 0.8s ease;
}
.gallery-item:hover {
    transform: scale(1.05);
}
.popup-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 1001;
    cursor: pointer;
}
.popup-content {
    max-width: 90%;
    max-height: 90%;
}
.popup-image {
    max-width: 100%;
    max-height: 100%;
    border-radius: 10px;
    object-fit: contain;
}
.rooms-container {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        padding: 20px;
}
.room {
    width: 300px;
    margin: 20px;
    padding: 20px;
    background-color: rgba(255, 255, 255, 0.2);
    border-radius: 10px;
    text-align: center;
    box-shadow: 0 2px 4px rgba(0,0,0,0.1);
}
.room img {
    width: 100%;
    border-radius: 10px;
    transition: transform 0.8s ease;
}
.room img:hover {
    transform: scale(1.05);
}
.room h3 {
    color: #fff;
    margin-top: 10px;
    font-size: 24px;
}
.footer {
    background-color: rgba(0, 0, 0, 0.8);
    padding: 20px;
    text-align: center;
    position: relative;
    bottom: 0;
    width: 100%;
    color: #fff;
    box-shadow: 0 2px 4px rgba(0,0,0,0.1);
}
.footer h2, .footer h3 {
    margin: 10px 0;
}